/*
 * JORAM: Java(TM) Open Reliable Asynchronous Messaging
 * Copyright (C) 2001 - 2012 ScalAgent Distributed Technologies
 * Copyright (C) 1996 - 2000 Dyade
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): ScalAgent Distributed Technologies
 */
package classic;

import javax.jms.*;
import javax.naming.*;
import org.objectweb.joram.client.jms.tcp.TcpConnectionFactory;

/**
 * Consumes messages from the queue and from the topic.
 */
public class efluidConsumer {
  static Context ictx = null; 

  public static void main(String[] args) throws Exception {
    TcpConnectionFactory cf  = TcpConnectionFactory.create("localhost", 42054);
    Connection cnx = cf.createConnection();
    Session sess = cnx.createSession(false, Session.AUTO_ACKNOWLEDGE);
    Destination dest = new org.objectweb.joram.client.jms.Queue("#0.0.1038");
    MessageConsumer recv = sess.createConsumer(dest);

    recv.setMessageListener(new MsgListener("Listener on " + args[0]));

    cnx.start();

    System.in.read();
    cnx.close();

    System.out.println("Consumer closed.");
  }
}
